      subroutine lientier(question,iopt,ient)
c
      character*(*) question
      integer ient
c
 1000 call print_moi_ca(question,iopt)
c
      read(*,*,err=1000) ient
      if (iopt.gt.0) then
        ll = len(question)
        if (ient.lt.100000.and.ient.gt.-10000) then
          write(iopt,'(i5,a3,a)') ient,char(9)//'# ',question(1:ll)
        else
          write(iopt,'(i10,a3,a)') ient,char(9)//'# ',question(1:ll)
        endif
      endif
      end
C-----------------------------------------------------------------------
      subroutine lientier_err(question,iopt,ient,ierr)
c
      character*(*) question
      integer ient
c
      ierr = 0
      call print_moi_ca(question,iopt)
c
      read(*,*,err=1000,end=1000) ient
      if (iopt.gt.0) then
        ll = len(question)
        if (ient.lt.100000.and.ient.gt.-10000) then
          write(iopt,'(i5,a3,a)') ient,char(9)//'# ',question(1:ll)
        else
          write(iopt,'(i10,a3,a)') ient,char(9)//'# ',question(1:ll)
        endif
      endif
      return
 1000 ierr = 1
      end
